/* @media (max-width: 978px) {
    .container {
      padding:0;
      margin:0;
    }

    body {
      padding:0;
      margin:0
    }

    .navbar-fixed-top, .navbar-fixed-bottom, .navbar-static-top {
      margin-left: 0;
      margin-right: 0;
      margin-bottom:0;
    }
} */
/* .color-preview{
  
  border: 1px solid #CCC;
  margin: 2px;
  zoom: 1;
  vertical-align: top;
  display: inline-block;
  cursor: pointer;
  overflow: hidden;
  width: 15%;
  height: 40px;
  border-radius:20px ;
} */

/* #textContainer{
  word-break: break-all;
} */


/* #textContainer>button{
  margin-top: 10px;
  background-color: #0a6ebd;
  border-radius: 14px;
  justify-content: center;
  border: none;
  height: 30px;

} */
/* .generateButton{
  margin-top: 10px;
  background-color: #0a6ebd;
  border-radius: 14px;
  justify-content: center;
  border: none;
  height: 30px;
} */
/* .generateButton>span{
  color:aliceblue
} */

::-webkit-scrollbar {
  height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #00ffaa;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}


#burst-12 {
  background: #2fce98;
  width: 80px;
  height: 80px;
  position: absolute;
  text-align: center;
  top:5%;
  left:5%
}
#burst-12:before,
#burst-12:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 80px;
  width: 80px;
  background: #2fce98;
}
#burst-12:before {
  transform: rotate(30deg);
}
#burst-12:after {
  transform: rotate(60deg);
}
#burst-12>span{
  position: absolute;
  z-index: 1;
  left: 3%;
  top:1%;
  font-size: 24px;
  color: white;
}


#submitBtn {
  display: block;
  font-size: 18px;
  font-weight: 700;
  color: #FFFFFF;
  line-height: 44px;
  text-transform: uppercase;
  -webkit-transition: all 200ms ease;
  -moz-transition: all 200ms ease;
  -ms-transition: all 200ms ease;
  -o-transition: all 200ms ease;
  transition: all 200ms ease;
  width: 100%;
  background-color: #2fce98;
}


.generateButton{
  margin-top: 10px;
  background-color: #0a6ebd;
  border-radius: 14px;
  justify-content: center;
  border: none;
  height: 30px;
  width: 100px;
}
.generateButton>span{
  color:aliceblue
}



  
@media only screen and (max-width:576px), 
(min-device-width: 375px) 
and (max-device-width: 667px) 
and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: landscape),
  (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: landscape),
  (max-device-width: 480px) and 
  (orientation:landscape),
  (min-device-width : 375px) 
  and (max-device-width : 667px)
  and (width : 667px) 
  and (height : 375px)
  and (orientation : landscape) 
  and (color : 8)
  and (device-aspect-ratio : 375/667)
  and (aspect-ratio : 667/375)
  and (device-pixel-ratio : 2)
  and (-webkit-min-device-pixel-ratio : 2)
  and (orientation : landscape) 
{
  #confirmBtn{
    display: block !important;
  }
  #submitBtn {
    display: block;
    font-size: 18px;
    font-weight: 700;
    color: #FFFFFF;
    line-height: 44px;
    text-transform: uppercase;
    -webkit-transition: all 200ms ease;
    -moz-transition: all 200ms ease;
    -ms-transition: all 200ms ease;
    -o-transition: all 200ms ease;
    transition: all 200ms ease;
    width: 50%;
    margin-left: 25%;
    background-color: #2fce98;
  }
  .checkout_button{
    background-color: transparent !important;
  }
  #designerContainer {
    width:100%;
    height:500px;
    margin-top: 50px;
    margin-bottom: 220%;
  }
  .product_name>a{
    font-size: 14px;
  }
.product_info{
  padding-left: 0!important;
  padding-right: 0!important;
}
  #productContent{
    width:100% !important
  }
  #productImage{
    width:100% !important;
    height:320px !important;
  }
  #orderTotalBar{
    background-color:ghostwhite;height:8%;width:100%;margin: 0!important;padding: 0 !important;opacity: 0.8;
  }

  #expandButton{
    visibility: visible!important;
  }
  #opertaionsContainer{
    border:1px solid #2fce98;width:'100%';height:95%;margin-bottom:2%
  }
  #totalWord{
    position: relative;
    margin-top: 2%;
    vertical-align: middle;
    font-weight: 700;
    float: left;
    font-size: 14px;
  }

  #priceTag{
    top: 15%;
    position: relative;
    margin-top: 7%;
    vertical-align: middle;
    font-weight: 700;
    left: 59%;
    font-size: 14px;
  }
  #shirtSettings{
      z-index: 10;
      position:absolute;
      background-color: #2fce98 !important;
      left: 8%;
      width: 10%;
      overflow-x: hidden;
      overflow-y:scroll ;
      height: 100%;
      -webkit-transition: width 1s ease-in-out !important;
      -moz-transition: width 1s ease-in-out !important;
      -o-transition: width 1s ease-in-out !important;
      transition: width 1s ease-in-out !important;
      width:80% !important;
      opacity:0.7;
      min-height: 100%;
      }
      #shirtSettingsShrink{
        z-index: 0;
        position:absolute;
        background-color: #2fce98 !important;
        left: 8%;
        width: 80%;
        overflow-x: hidden;
        overflow-y: hidden;
        height: 100%;
        -webkit-transition: width 1s ease-in-out !important;
        -moz-transition: width 1s ease-in-out !important;
        -o-transition: width 1s ease-in-out !important;
        transition: width 1s ease-in-out !important;
        width:10% !important;
        opacity:0.7;
        min-height: 100%;
    
      }

      #settingsContainer{
        margin-top: 50px;
      }

      #imageList{
        max-width:100%;
        height:auto;
        padding:4px;
        cursor:pointer;
        margin-bottom: 30px;
      }
      #uploadImageContainer{
        position: relative;
        width: 100%;
        height: 22%;
        margin-bottom: 10px;
       
      }
    
      #uploadImageContainer>span{
        font-size: 18px;
        color: black;
        font-weight: 500;
    
      }
      #uploadImageContainer>label{
        margin-top:15px;
        font-size: 14px;
        color:blue;
        font-weight: 500;
      }

      #drawingArea{
        position: absolute;
        top: 15%;
        width: 44%;
        height: 71%;
        left: 27%;
      }
      #imageEditorButton{
        display: grid;
        position: absolute;
        top: 13px;
        right: 10px;
        z-index: 1;
        background-color: transparent;
        border-radius: 13px;
      }

      #imageEditorButton button {
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: lightgray;
        border: none;
        margin-bottom:5px ; 
        width: 35px;
        height: 35px;
        background-color: transparent;
        margin-bottom: 20px !important;
    
      }
      #textEditorButton{
        z-index: 1;
        display: grid;
        position: absolute;
        top: 19%;
        right: 5px;
        background-color: transparent;
        border-radius: 13px;
  
      }
      #textEditorButton button{
        text-align: center;
        justify-content: center;
        align-items: center;
        background-color: lightgray;
        border: none;
        margin: 10px;
        margin-bottom:5px ; 
        width: 28px;
        height: 28px;
        background-color: transparent;
      }
      #textEditorButton>input{
        margin-top: 15px;
        width: 35px;
        position: relative;
        float: right;
        left: 10px;
      }
      .well{min-height:20px;padding:19px;margin-bottom:20px;background-color:#f5f5f5;border:1px solid #e3e3e3;-webkit-border-radius:4px;-moz-border-radius:4px;border-radius:4px;-webkit-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);-moz-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);}.well blockquote{border-color:#ddd;border-color:rgba(0, 0, 0, 0.15);}
  }
















































@media (min-width: 577px) and (max-width:767px)  {
  #confirmBtn{
    display: block !important;
  }
  #submitBtn {
    display: block;
    font-size: 18px;
    font-weight: 700;
    color: #FFFFFF;
    line-height: 44px;
    text-transform: uppercase;
    -webkit-transition: all 200ms ease;
    -moz-transition: all 200ms ease;
    -ms-transition: all 200ms ease;
    -o-transition: all 200ms ease;
    transition: all 200ms ease;
    width: 50%;
    margin-left: 25%;
    background-color: #2fce98;
  }
  .checkout_button{
    background-color: transparent !important;
  }
  #designerContainer {
    width:100%;
    height:407px;
    margin-top: 50px;
    margin-bottom: 146%;
  }
  .product_name a {
    display: block;
    font-size: 15px;
    line-height: 1.2;
    color: #4a4a4a;
    font-weight: 500;
    max-height: 100% !important;
}
  #productContent{
    width:100% !important;
    height: 153px;
  }
  .product_info{
    padding-left: 0!important;
    padding-right: 0!important;
  }
  #productImage{
    width:100% !important;
    height:250px !important;
  }
  #orderTotalBar{
    background-color:ghostwhite;height:8%;width:100%;margin: 0!important;padding: 0 !important;opacity: 0.8;
  }

  #opertaionsContainer{
    border:1px solid #2fce98;width:'100%';height:95%;margin-bottom:2%
  }
  #totalWord{
    position: relative;
    margin-top: 2%;
    vertical-align: middle;
    font-weight: 700;
    font-size: 14px;
  }

  #priceTag{
    top: 15%;
    position: relative;
    margin-top: 7%;
    vertical-align: middle;
    font-weight: 700;
    left: 75%;
    font-size: 14px;
  }
  #shirtSettings{
      position:absolute;
      background-color: #2fce98 !important;
      left: 8%;
      width: 42% !important;
      overflow-x: hidden;
      overflow-y:scroll ;
      height: 100%;
      opacity:0.7;
      min-height: 100%; 
      }
  #shirtSettingsShrink{
    position:absolute;
    background-color: #2fce98 !important;
    left: 8%;
    width: 42% !important;
    overflow-x: hidden;
    overflow-y:scroll ;
    height: 100%;
    opacity:0.7;
    min-height: 100%; 
    
      }

      #settingsContainer{
        margin-top: 50px;
      }

      #imageList{
        max-width:100%;
        height:auto;
        padding:4px;
        cursor:pointer;
        margin-bottom: 30px;
      }
      #uploadImageContainer{
        position: relative;
        width: 100%;
        height: 22%;
        margin-bottom: 10px;
       
      }
    
      #uploadImageContainer>span{
        font-size: 18px;
        color: black;
        font-weight: 500;
    
      }
      #uploadImageContainer>label{
        margin-top:15px;
        font-size: 14px;
        color:blue;
        font-weight: 500;
      }

      #drawingArea{
        position: absolute;
        top: 15%;
        width: 44%;
        height: 72%;
        left: 27%;
      }
      #imageEditorButton{
        display: grid;
        position: absolute;
        top: 13px;
        right: 10px;
        z-index: 1;
        background-color: transparent;
        border-radius: 13px;
      }

      #imageEditorButton button {
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: lightgray;
        border: none;
        margin-bottom:5px ; 
        width: 35px;
        height: 35px;
        background-color: transparent;
        margin-bottom: 20px !important;
    
      }
      #textEditorButton{
        z-index: 1;
        display: grid;
        position: absolute;
        top: 21%;
        right: 6px;
        background-color: transparent;
        border-radius: 13px;
  
      }
      #textEditorButton button{
        text-align: center;
        justify-content: center;
        align-items: center;
        background-color: lightgray;
        border: none;
        margin: 10px;
        margin-bottom:5px ; 
        width: 28px;
        height: 28px;
        background-color: transparent;
      }
      #textEditorButton>input{
        margin-top: 15px;
        width: 35px;
        position: relative;
        float: right;
        left: 10px;
      }
      .well{min-height:20px;padding:19px;margin-bottom:20px;background-color:#f5f5f5;border:1px solid #e3e3e3;-webkit-border-radius:4px;-moz-border-radius:4px;border-radius:4px;-webkit-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);-moz-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);}.well blockquote{border-color:#ddd;border-color:rgba(0, 0, 0, 0.15);}
 
}








































@media (min-width: 768px) and (max-width:976px){
  .product_info{
    padding-left: 0!important;
    padding-right: 0!important;
  }
  .product_name a {
    display: block;
    font-size: 18px;
    padding-right: 10px;
    line-height: 1.2;
    color: #4a4a4a;
    font-weight: 500;
    max-height: 100% !important;
}

  #productContent{
    width:80% !important;
    max-width: 100%;
    height: 160px;

  }
  #productImage{
    width:80% !important;
    height:300px !important;
  }
  #orderTotalBar{
    background-color:ghostwhite;height:8%;width:100%;margin: 0!important;padding: 0 !important;opacity: 0.8;
  }

  #opertaionsContainer{
    border:1px solid #2fce98;width:'100%';height:95%;margin-bottom:2%
  }
  #totalWord{
    position: relative;
    margin-top: 2%;
    vertical-align: middle;
    font-weight: 700;
    font-size: 14px;
  }

  #priceTag{
    top: 15%;
    position: relative;
    margin-top: 7%;
    vertical-align: middle;
    font-weight: 700;
    left: 80%;
    font-size: 14px;
  }
  #shirtSettings{
      position:absolute;
      background-color: #2fce98 !important;
      left: 8%;
      width: 25% !important;
      /* overflow-x: hidden;*/
      overflow-y:scroll ; 
      height: 100%;
      opacity:0.7;
      min-height: 100%; 
      }
  #shirtSettingsShrink{
    position:absolute;
    background-color: #2fce98 !important;
    left: 8%;
    width: 25% !important;
    /* overflow-x: hidden;*/
    overflow-y:scroll ; 
    height: 100%;
    opacity:0.7;
    min-height: 100%; 
    
      }

      #settingsContainer{
        margin-top: 50px;
      }

      #imageList{
        max-width:100%;
        height:auto;
        padding:4px;
        cursor:pointer;
        margin-bottom: 30px;
      }
      #uploadImageContainer{
        position: relative;
        width: 100%;
        height: 22%;
        margin-bottom: 10px;
       
      }
    
      #uploadImageContainer>span{
        font-size: 18px;
        color: black;
        font-weight: 500;
    
      }
      #uploadImageContainer>label{
        margin-top:15px;
        font-size: 14px;
        color:blue;
        font-weight: 500;
      }

      #drawingArea{
        position: absolute;
        top: 15%;
        width: 44%;
        height: 71%;
        left: 27%;
      }
      #imageEditorButton{
        display: grid;
        position: absolute;
        top: 13px;
        right: 10px;
        z-index: 1;
        background-color: transparent;
        border-radius: 13px;
      }

      #imageEditorButton button {
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: lightgray;
        border: none;
        margin-bottom:5px ; 
        width: 35px;
        height: 35px;
        background-color: transparent;
        margin-bottom: 20px !important;
    
      }
      #textEditorButton{
        z-index: 1;
        display: grid;
        position: absolute;
        top: 21%;
        right: 6px;
        background-color: transparent;
        border-radius: 13px;
  
      }
      #textEditorButton button{
        text-align: center;
        justify-content: center;
        align-items: center;
        background-color: lightgray;
        border: none;
        margin: 10px;
        margin-bottom:5px ; 
        width: 28px;
        height: 28px;
        background-color: transparent;
      }
      #textEditorButton>input{
        margin-top: 15px;
        width: 35px;
        position: relative;
        float: right;
        left: 10px;
      }
      .well{min-height:20px;padding:19px;margin-bottom:20px;background-color:#f5f5f5;border:1px solid #e3e3e3;-webkit-border-radius:4px;-moz-border-radius:4px;border-radius:4px;-webkit-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);-moz-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);}.well blockquote{border-color:#ddd;border-color:rgba(0, 0, 0, 0.15);}
      #submitFormDiv{
        padding-top: 10px !important;
        padding-left: 13px !important;
        padding-bottom: 1px !important;
        padding-right: 10px !important;
        background: #f8f8f8 !important;
        width: 25% !important;
        /* max-height: 504px; */
        right: 1px;
        position: absolute;
        bottom: 43px;
        height: 340px;
        z-index: 1;
      }
       #cartDetails{
        display: none;
      }
      .checkout_title {
        display: none;
      }
      .cart_extra_total_list {
        margin-top: 0px !important;
        padding-right: 48px;
        padding-left: 10px;
    }
    #submitBtn{
      margin-top: 46px!important;

    }
 

}
















































@media (min-width: 977px){
  .product_info{
    padding-left: 0!important;
    padding-right: 0!important;
  }
  #designerContainer {
    width:98% !important;
    height:500px;
    margin-bottom: 10px;
    margin-top: 10px;
    margin-left: 1%;
    margin-right: 1%;
  }
  #shirtDiv {
    width: 100%;
    height: 100%;
    position: relative;
    background-color: grey;
    /* Tablet/Desktop styles (md, lg) */
  }
  #tshirtFacing {
    width: 100%!important;
    height: 450px!important;
    /* Tablet/Desktop styles (md, lg) */
  }

  #checkout_name {
    margin-bottom: 20px;
}

  #productContent{
    width:100% !important;
    max-width: 95%;
    height:160px;
  }
  #productImage{
    width:95% !important;
    height:300px !important;
  }
  #orderTotalBar{
    background-color:ghostwhite;height:12%;width:100%;margin: 0!important;padding: 0 !important;opacity: 0.8;
  }

  #opertaionsContainer{
    border:1px solid #2fce98;width:'100%';height:95%;margin-bottom:2%
  }
  #totalWord{
    position: absolute;
    margin-top: 1.5%;
    vertical-align: middle;
    font-weight: 700;
    font-size: 24px;
  }

  #priceTag{
    top: 15%;
    position: relative;
    margin-top: 7%;
    vertical-align: middle;
    font-weight: 700;
    left: 89%;
    font-size: 24px;
  }
  #shirtSettings{
      position:absolute;
      background-color: #2fce98 !important;
      left: 8%;
      width: 25% !important;
      /* overflow-x: hidden;*/
      overflow-y:scroll ; 
      height: 100%;
      opacity:0.7;
      min-height: 100%; 
      }
  #shirtSettingsShrink{
    position:absolute;
    background-color: #2fce98 !important;
    left: 8%;
    width: 25% !important;
    /* overflow-x: hidden;*/
    overflow-y:scroll ; 
    height: 100%;
    opacity:0.7;
    min-height: 100%; 
    
      }

      #settingsContainer{
        margin-top: 50px;
      }

      #imageList{
        max-width:100%;
        height:auto;
        padding:4px;
        cursor:pointer;
        margin-bottom: 30px;
      }
      #uploadImageContainer{
        position: relative;
        width: 100%;
        height: 22%;
        margin-bottom: 10px;
       
      }
    
      #uploadImageContainer>span{
        font-size: 18px;
        color: black;
        font-weight: 500;
    
      }
      #uploadImageContainer>label{
        margin-top:15px;
        font-size: 14px;
        color:blue;
        font-weight: 500;
      }

      #drawingArea{
        position: absolute;
        top: 15%;
        width: 44%;
        height: 71%;
        left: 27%;
      }
      #imageEditorButton{
        display: grid;
        position: absolute;
        top: 13px;
        right: 10px;
        z-index: 1;
        background-color: transparent;
        border-radius: 13px;
      }

      #imageEditorButton button {
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: lightgray;
        border: none;
        margin-bottom:5px ; 
        width: 35px;
        height: 35px;
        background-color: transparent;
        margin-bottom: 20px !important;
    
      }
      #textEditorButton{
        z-index: 1;
        display: grid;
        position: absolute;
        top: 21%;
        right: 6px;
        background-color: transparent;
        border-radius: 13px;
  
      }
      #textEditorButton button{
        text-align: center;
        justify-content: center;
        align-items: center;
        background-color: lightgray;
        border: none;
        margin: 10px;
        margin-bottom:5px ; 
        width: 28px;
        height: 28px;
        background-color: transparent;
      }
      #textEditorButton>input{
        margin-top: 15px;
        width: 35px;
        position: relative;
        float: right;
        left: 10px;
      }
      .well{min-height:20px;padding:19px;margin-bottom:20px;background-color:#f5f5f5;border:1px solid #e3e3e3;-webkit-border-radius:4px;-moz-border-radius:4px;border-radius:4px;-webkit-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);-moz-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);}.well blockquote{border-color:#ddd;border-color:rgba(0, 0, 0, 0.15);}
      #submitFormDiv{
        padding-top: 14px !important;
        padding-left: 16px !important;
        padding-bottom: 59px !important;
        padding-right: 10px !important;
        background: #f8f8f8 !important;
        width: 50% !important;
        /* max-height: 504px; */
        left: 149.5%;
        position: absolute;
        bottom: 40px;
        height: 453px;
        z-index: 1;
    
      }
      .checkout_title {
        display: none;
      }
      .cart_extra_total_list {
        margin-top: 0px !important;
        padding-right: 48px;
        padding-left: 10px;
    }
    #submitBtn{
      margin-top: 46px!important;

    }
      /* #cartDetails{
        display: none;
      } */
}
















